Subject: bug#60348: 30.0.50; Incorrect docstring face in lisp-mode

From: Stefan Kangas <[email-masked]>
Date: Sun, 3 Sep 2023 03:39:22 -0700

tags 60348 notabug
close 60348
thanks

Eli Zaretskii <[email-masked]> writes:

>> From: Gabriel <[email-masked]>
>> Date: Tue, 27 Dec 2022 00:42:37 -0300
>>
>> Steps:
>>
>> 1) emacs -Q (master branch)
>>
>> 2) Open *scratch* buffer (or any buffer with a lisp major mode)
>>
>> 3) Type:
>>
>> (defun foo () "Hello, World!")
>>
>> Expected result: The string "Hello, World!" is fontified with
>> 'font-lock-string-face'.
>>
>> Actual result: The string "Hello, World!" is fontified with
>> 'font-lock-doc-face'.
>
> I'm not sure I understand why you expected something other than
> font-lock-doc-face.  E.g., the Lisp interpreter disagrees with you:
>
>   (documentation 'foo)
>     => "Hello, World!"
>
> Am I missing something here?

I think you're not missing anything.  This is the expected behavior, and
this is not a bug.

I'm therefore closing this bug report.